x003030_g_scriptId=003030

x003030_g_IdPuTong={}
x003030_g_IdPuTong[1]={800000}     --    刷的怪物

x003030_g_PuTongNum={}
x003030_g_PuTongNum[1]={2}     --   数量

x003030_g_ExistTime = 300000

x003030_g_MonsterPosList={}     
x003030_g_MonsterPosList[1]={{79,116,0},{79,116,0},{79,116,0},{79,116,0},{79,116,0},{79,116,0},{79,116,0},{79,116,0},{79,116,0},{79,116,0},{79,116,0},{79,116,0}}	 
-- 上面的怪物坐标重复写两遍   方便随机不同的坐标

function x003030_OnActivityStart( scene,curTime,idx)	
	local PosNum = #x003030_g_MonsterPosList[1]/2
	local randPos = RandomMon(1, PosNum)	
	local Rcount = x003030_g_PuTongNum[1][1]-1
	local Lvl = GetWorldLvlByFestivalMonster(scene)
	print("刷怪世界等級")

	local AdaptLvl = math.floor(Lvl/10)
	print(AdaptLvl)
	SetSceneBossNum(scene, idx)
	for i = randPos, randPos+Rcount do
		local objId = CreateMonster(scene, x003030_g_IdPuTong[1][1]+AdaptLvl,x003030_g_MonsterPosList[1][i][3],x003030_g_MonsterPosList[1][i][1],x003030_g_MonsterPosList[1][i][2])
		LogMonster(scene,objId,x003030_g_IdPuTong[1][1]+AdaptLvl,x003030_g_MonsterPosList[1][i][3],x003030_g_MonsterPosList[1][i][1],x003030_g_MonsterPosList[1][i][2])
		--SetNpcCampByObjId(scene,objId,1)
	--	SetMonEndTime(scene, curTime, x003030_g_ExistTime, objId)
	end
end
